#! /usr/bin/env python
# -*- coding: utf-8 -*-
###########################################################################
#
# Eole NG
# Copyright Pole de Competence Eole (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr
#
###########################################################################
"""
Vérification/Création du compte ldap
en lecture seule (reader)
"""
import sys
from os.path import isfile
from ldap import MOD_REPLACE
from creole.eosfunc import gen_random
from seshat.eoleldap import Ldap, sshaDigest
READER = '/root/.reader'
READER_DN = 'cn=reader,o=gouv,c=fr'

exists = False
conn = Ldap()
conn.connect()
for entry in conn._search('(cn=reader)', 'cn'):
    if entry[0] == READER_DN:
        exists = True
        break

if not exists or not isfile(READER):
    reader_pwd = gen_random()
    crypt_pwd = sshaDigest(reader_pwd)
    if not exists:
        print "Ajout de l'utilisateur \"%s\"" % READER_DN
        data = [('objectClass', 'person'),
                ('cn', 'reader'),
                ('sn', 'Compte en lecture seule'),
                ('userPassword', crypt_pwd)]
        conn._add(READER_DN, data)
    else:
        print "Modification de l'utilisateur \"%s\"" % READER_DN
        data = [((MOD_REPLACE, 'userPassword', crypt_pwd))]
        conn._modify(READER_DN, data)
    conn.close()
    fic = file(READER, 'w')
    fic.write(reader_pwd)
    fic.close()

sys.exit(0)
