# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# backend.py
#
# librairie pour la gestion du module Seshat
#
###########################################################################

from creole.parsedico import parse_dico
from os.path import isfile

DICO = parse_dico()
ROUTES_FILE = '/etc/mail/routes'
EAD_ROUTES = '/usr/share/ead2/backend/tmp/routes.ead'

def gen_routes():
    """
    génération du fichier /etc/mail/routes
    """
    routes = []
    #routes.append("%(domaine_messagerie_academie)s: %(passerelle_smtp_aca)s\n" % DICO)
    if isfile(EAD_ROUTES):
        ead_routes = file(EAD_ROUTES).read().splitlines()
        for etab in ead_routes:
            split = etab.split('#')
            try:
                routes.append("%s: %s\n" % (split[0], split[1]))
                routes.append("i-%s: %s\n" % (split[0], split[1]))
            except:
                pass
    #routes.append("*: %(passerelle_smtp_aca)s\n" % DICO)
    fic = file(ROUTES_FILE, 'w')
    fic.writelines(routes)
    fic.close()

